# Generated by Django 5.0.4 on 2024-10-20 02:46

import colorfield.fields
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Наименование курса')),
                ('short_description', models.CharField(max_length=512, verbose_name='Короткое описание')),
                ('logo', models.ImageField(null=True, upload_to='', verbose_name='Логотип курса')),
                ('cost', models.IntegerField(verbose_name='Стоимость регистрации')),
                ('owner_competition', models.CharField(blank=True, max_length=255, null=True, verbose_name='Обладатель компетенции')),
                ('describe_competition', models.CharField(blank=True, max_length=1024, null=True, verbose_name='Описание комптенеции')),
                ('image_competition', models.ImageField(blank=True, max_length=1024, null=True, upload_to='', verbose_name='Изображение для компетенции')),
                ('text_for_competition', models.CharField(blank=True, help_text='Готовы начать свой путь в мире <переменная, которую вы зададите>', max_length=255, null=True, verbose_name='Вспомогательное название комптенеции')),
                ('cost_of_hour', models.IntegerField(verbose_name='Количество расчетных часов на курс')),
                ('description', models.TextField(verbose_name='Описание курса')),
                ('color', colorfield.fields.ColorField(default='#FF0000', image_field=None, max_length=25, samples=None, verbose_name='Фон для логотипа курса')),
            ],
            options={
                'verbose_name': 'Курс',
                'verbose_name_plural': 'Курсы',
            },
        ),
        migrations.CreateModel(
            name='ProcessingCourse',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('short_description', models.CharField(max_length=512, verbose_name='Короткое описание #1')),
                ('image_description', models.ImageField(upload_to='', verbose_name='Изображение #1')),
                ('short_description_second', models.CharField(max_length=512, verbose_name='Короткое описание #2')),
                ('image_description_second', models.ImageField(upload_to='', verbose_name='Изображение #2')),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='courses.course', verbose_name='Курсы')),
            ],
            options={
                'verbose_name': 'Как происходит обучение',
                'verbose_name_plural': 'Как происходит обучение',
            },
        ),
    ]
